      !
      ! structures and definitions for daleks
      !
      structure /dalek_structure/
          !
          integer*4 status
          integer*4 lin
          integer*4 col
          integer*4 glin
          integer*4 gcol
          integer*4 ang
          integer*4 speed
          integer*4 move_count
          integer*4 DR_distance
          integer*4 DR_ang
          integer*4 DR_lin( 5 ) ! death ray trail
          integer*4 DR_col( 5 ) ! death ray trail
          integer*4 health
          !
      end structure
      !
      parameter max_daleks = 10, win_height = 21, win_width = 38,
     .          max_wld_width = 255, max_wld_height = 255,
     .          win_offs_lin = 1, win_offs_col = 1,
     .          up_key = 274, down_key = 275, left_key = 276, right_key = 277, 
     .          exit_key = 26, return_key = 13,
     .          INVALID_AVAIL = 0, FREE = 1, TAKEN = 2, RIP = 3
      !
      record /dalek_structure/  d( max_daleks ),
     .                         od( max_daleks )
      !
      integer*4 n, ! this processes dalek
     .          win_ID, wld_offs_lin, wld_offs_col,
     .          win_lin, win_col, wld_width, wld_height,
     .          max_DR_distance, max_forward_speed,
     .          max_reverse_speed, max_health, next_col, next_lin, 
     .          width_mode
      integer*2 kb_ch
      !
      character*20  d_mbx_dev( max_daleks )
      character     closest_dalek*4, old_closest_dalek*4
      character*255 wld( max_wld_height )
      !
      common /daleks_common_area/ d, od, n, win_ID, d_mbx_dev,
     .                            win_lin, win_col, wld_width, wld_height,
     .                            wld, wld_offs_lin, wld_offs_col,
     .                            max_DR_distance, max_forward_speed,
     .                            max_reverse_speed, max_health, kb_ch,
     .                            next_col, next_lin, width_mode,
     .                            old_closest_dalek, closest_dalek
      ! 
